GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
tsi_ssl_frame_protector Struct Reference

## Data Fields
tsi_frame_protector | base
SSL * | ssl
BIO * | into_ssl
BIO * | from_ssl
unsigned char * | buffer
size_t | buffer_size
size_t | buffer_offset

## Field Documentation

tsi_frame_protector tsi_ssl_frame_protector::base

unsigned char* tsi_ssl_frame_protector::buffer

size_t tsi_ssl_frame_protector::buffer_offset

size_t tsi_ssl_frame_protector::buffer_size

BIO* tsi_ssl_frame_protector::from_ssl

BIO* tsi_ssl_frame_protector::into_ssl

SSL* tsi_ssl_frame_protector::ssl

The documentation for this struct was generated from the following file:

- src/core/tsi/ssl_transport_security.c